Skip to main content
GET
/
{alias}
/
catalog
/
variations
Listar variações
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/catalog/variations \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '{
  "name": "Cor"
}'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/variations"

payload = { "name": "Cor" }
headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {
    'User-Token': '<api-key>',
    'User-Secret-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({name: 'Cor'})
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/variations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": 13,
      "name": "Cor",
      "created_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "updated_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      }
    }
  ],
  "meta": {
    "meta": {
      "pagination": {
        "total": "10",
        "count": "30",
        "per_page": "10",
        "current_page": "1",
        "total_pages": "3",
        "links": {
          "previous": "",
          "next": ""
        }
      }
    }
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json

Representa os dados necessários para criar ou atualizar uma variação de produto

name
string
required

Nome da variação

Example:

"Cor"

Response

Lista de variações retornada com sucesso

data
Variação de um produto · object[]
meta
SimplePaginatorWithMeta · object

Representa uma paginação com meta